import { defineComponent as t, createBlock as l, createCommentVNode as a, openBlock as n, unref as o, normalizeProps as p, mergeProps as m, withCtx as i, createTextVNode as s, toDisplayString as c } from "vue";
import { _ as u } from "./start-BYfL32Oe.mjs";
import "vue-i18n";
import "pinia";
import "vue-router";
import { I as r } from "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const T = /* @__PURE__ */ t({
  __name: "EtlProcessStatusCell",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: { type: Boolean }
  },
  setup(_) {
    return (e, f) => e.cellValue ? (n(), l(o(u), p(m({ key: 0 }, o(r)[String(!!e.cellValue)])), {
      default: i(() => [
        s(c(e.$t(o(r)[String(!!e.cellValue)].label)), 1)
      ]),
      _: 1
    }, 16)) : a("", !0);
  }
});
export {
  T as default
};
